# PogoBijoux CMake List
# By Kacper "kacperks" Kostka

cmake_minimum_required(VERSION 3.16 FATAL_ERROR) #Why cannot older versions be used?

project(PogoBijoux)

add_executable(PogoBijoux "main.cpp" "Sound.c")

if(UNIX AND NOT APPLE) # GNU/Linux
target_link_libraries(PB -lopenal)
target_link_libraries(PB -lsndfile)
target_link_libraries(PB -lIrrlicht -lGL -lGLU -lXxf86vm -lXext -lX11)
endif()

if (WIN32) # Windows
target_link_libraries(${PROJECT_NAME} -lopenal-soft)
target_link_libraries(${PROJECT_NAME} -lsndfile)
target_link_libraries(${PROJECT_NAME} -lirrlicht)
endif(WIN32)